The Jupiter Developer Platform is live. Previous portal users keep their rate limits for free until 30 June 2026 — set up billing on the new platform before then. See the Migration Guide for details.
cURL
curl --request GET \ --url https://api.jup.ag/ultra/v1/holdings/{address} \ --header 'x-api-key: <api-key>'
{ "amount": "<string>", "uiAmount": 123, "uiAmountString": "<string>", "tokens": {} }
Request for token balances of an account including token account information
Get API key via https://developers.jup.ag/portal
The wallet address to get holdings for
Successful response
Total SOL in lamports
Total SOL in UI units after applying decimals
Total SOL as string in UI units after applying decimals
Other token holdings organized by mint address as keys
Show child attributes
Was this page helpful?